// BenLincoln.DaVinci - A shared library used by The Mirror's Surface Breaks
// Copyright 2010-2011 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of BenLincoln.DaVinci.

// BenLincoln.DaVinci is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// BenLincoln.DaVinci is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with BenLincoln.DaVinci (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Text;

namespace BenLincoln.DaVinci
{
    public class ImageEventArgs : ThreadedEventArgs
    {
        protected string _SectionName;
        protected string _ImageName;
        protected int _FirstImageNumber;
        protected int _ImageCount;
        protected int _TotalImagesInDirectory;

        #region Properties

        public string SectionName
        {
            get
            {
                return _SectionName;
            }
        }

        public string ImageName
        {
            get
            {
                return _ImageName;
            }
        }

        public int FirstImageNumber
        {
            get
            {
                return _FirstImageNumber;
            }
        }

        public int ImageCount
        {
            get
            {
                return _ImageCount;
            }
        }

        public int TotalImagesInDirectory
        {
            get
            {
                return _TotalImagesInDirectory;
            }
        }

        #endregion

        public ImageEventArgs(int engineNumber, int globalThreadNumber, string sectionName, string imageName, int imageNumber, int totalImages, 
            int totalImagesInDirectory )
            :base(engineNumber, globalThreadNumber)
        {
            _SectionName = sectionName;
            _ImageName = imageName;
            _FirstImageNumber = imageNumber;
            _ImageCount = totalImages;
            _TotalImagesInDirectory = totalImagesInDirectory;
        }
    }
}
