// The Mirror's Surface Breaks
// Copyright 2010-2011 Ben Lincoln
// http://www.beneaththewaves.net/
//

// This file is part of The Mirror's Surface Breaks.

// The Mirror's Surface Breaks is free software: you can redistribute it and/or modify
// it under the terms of version 3 of the GNU General Public License as published by
// the Free Software Foundation.

// The Mirror's Surface Breaks is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with The Mirror's Surface Breaks (in the file LICENSE.txt).  
// If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using BenLincoln.Utility;

namespace TMSBGUI
{
    public partial class frmErrorSummary : Form
    {
        public frmErrorSummary(MessageCollection errorMessages)
        {
            InitializeComponent();
            SetMessageDisplay(errorMessages);
        }

        protected void SetMessageDisplay(MessageCollection errorMessages)
        {
            errorMessages.Sort();

            StringBuilder builder = new StringBuilder();

            for (int i = 0; i < errorMessages.Count; i++)
            {
                KeyedMessageList kml = errorMessages[i];
                builder.Append(kml.KeyName);
                builder.Append(Environment.NewLine);
                for (int j = 0; j < kml.Messages.Length; j++)
                {
                    builder.Append("\t");
                    builder.Append(kml.Messages[j]);
                    builder.Append(Environment.NewLine);
                }
                builder.Append(Environment.NewLine);
            }

            txtErrorMessages.Text = builder.ToString();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}